package com.bonus.core.allocation.advise.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("basics_complaint")
@ApiModel("投诉建议实体类")
public class BasicsComplaint extends Model<BasicsComplaint> {
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("投诉建议id")
   private Long complaintId;
   @ApiModelProperty("人员id ")
   private Long custId;
   @ApiModelProperty("餐厅id")
   private Long canteenId;
   @ApiModelProperty("投诉内容")
   private String content;
   @ApiModelProperty("投诉图片")
   private String complaintPicture;
   @ApiModelProperty("来源")
   private Integer sourceType;
   @ApiModelProperty("联系方式")
   private String mobile;
   @ApiModelProperty("回复内容")
   private String replyContent;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("修改时间")
   private LocalDateTime uptime;
   @ApiModelProperty("回复状态")
   private Integer replyState;

   public Long getId() {
      return this.id;
   }

   public Long getComplaintId() {
      return this.complaintId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getContent() {
      return this.content;
   }

   public String getComplaintPicture() {
      return this.complaintPicture;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getReplyContent() {
      return this.replyContent;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Integer getReplyState() {
      return this.replyState;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setComplaintId(final Long complaintId) {
      this.complaintId = complaintId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setContent(final String content) {
      this.content = content;
   }

   public void setComplaintPicture(final String complaintPicture) {
      this.complaintPicture = complaintPicture;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setReplyContent(final String replyContent) {
      this.replyContent = replyContent;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setReplyState(final Integer replyState) {
      this.replyState = replyState;
   }

}
